#ifndef _Handle_PDataStd_Point_HeaderFile
#define _Handle_PDataStd_Point_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDataStd_Point;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_Point);

class Handle(PDataStd_Point) : public Handle(PDF_Attribute) {
  public:

    Handle(PDataStd_Point)():Handle(PDF_Attribute)() {} 
    Handle(PDataStd_Point)(const Handle(PDataStd_Point)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDataStd_Point)(const PDataStd_Point* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDataStd_Point)& operator=(const Handle(PDataStd_Point)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_Point)& operator=(const PDataStd_Point* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_Point* operator->() const 
     {
      return (PDataStd_Point *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_Point) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
